---
title: "Update tracking information"
description: "Update tracking information for a specific fulfillment."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-information'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-information.md'
---
# Update tracking information

Update tracking information for a specific fulfillment. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_assigned_fulfillment_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /fulfillments/:order_id/:fulfillment_id/update_tracking.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_assigned_fulfillment_orders`

## Request

### Path Parameters

* `fulfillment_id`

  string (required)

  Fulfillment ID.

* `order_id`

  string (required)

  Order ID.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `fulfillment`

  object

  Fulfillment information.

  * `notify_customer`

    boolean

    Indicates whether to notify the customer when creating or updating a fulfillment:
    - `true`: Notify the customer by email.
    - `false`: Do not notify the customer.
    
    Default value: `false`

  * `tracking_info`

    object

    Logistics tracking information.
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::

    * `company`

      string

      Logistics service provider.

    * `number`

      string

      The tracking number provided by the logistics service provider.

    * `url`

      string

      The domain name of the logistics company.

  * `tracking_info_list`

    array<object>

    A list of logistics tracking information.The API performs an overwrite update. Any parameters not provided will be cleared. 
    
    Maximum size: 10

    * `tracking_number`

      string

      The tracking number provided by the logistics service provider.

    * `tracking_url`

      string

      The domain name of the logistics company.

    * `tracking_company`

      string

      Logistics service provider. Refer to [Logistics company list](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/logistics-company-list.md) for valid values. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `fulfillment`

  object

  Fulfillment details.

  * `tracking_url`

    string

    Logistics tracking URL.
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::

  * `line_items`

    array<object>

    A list of products in the fulfillment.

    * `price`

      string

      The product price in store currency. The value is rounded to two decimal places. 

    * `requires_shipping`

      boolean

      Indicates whether the product is subject to shipping.
      - `true`：Shipping is required.
      - `false`：Shipping is not required.

    * `sku`

      string

      Product SKU serial number.

    * `title`

      string

      Product title.

    * `variant_title`

      string

      Product variant value. Multiple values are separated by `/`.

    * `vendor`

      string

      Supplier.

    * `version`

      string

      The version of the product.

    * `price_set`

      object

      The product price, displayed in both the store currency and the buyer currency.

      * `shop_money`

        object

        The discount amount information recorded by the merchant.

      * `presentment_money`

        object

        The product price information presented to the buyer. 

    * `variant_id`

      string

      The unique identifier for the variant.

    * `fulfillable_quantity`

      integer

      The remaining quantity of the product that can be shipped.

    * `id`

      string

      The ID of the line item snapshot table, generated by the system. Combined with the order ID, it uniquely identifies a line item.

    * `tax_lines`

      array<object>

      A list of tax information. 

      * `name`

        string

        Tax name.

      * `price`

        string

        Tax in store currency. The value is rounded to two decimal places. 

      * `price_set`

        object

        The tax amount, displayed in both the buyer currency and the store currency.

      * `rate`

        string

        The tax rate, for display only. 

      * `title`

        string

        The title for the tax description, for display only. 

    * `taxable`

      boolean

      Whether the product is subject to tax.
      - `true`: Tax is required. 
      - `false`: No tax is required.

    * `fulfillment_status`

      string

      The fulfillment status. Valid values are:
      - `unshipped`: not shipped
      - `partial`: partially shipped
      - `shipped`: shipped

    * `grams`

      double

      The weight of the product in grams(g).

    * `name`

      string

      SKU title, same as `title`.

    * `product_id`

      string

      The unique identifier for the product corresponding to the variant.

    * `properties`

      array<object>

      A list of product customization information. 

      * `value`

        string

        Custom attribute value.

      * `additional`

        string

        Additional custom fields for products. For example, if `type` is `text`, `additional` can include attributes such as font size, font style, and color. 

      * `name`

        string

        Custom attribute name.

      * `type`

        string

        Custom information type. Valid values are:
        - `text`: text type
        - `picture`: picture type
        - `link`: hyperlink type

      * `urls`

        array<string>

        URL list.  
        If `type` is `picture`, thumbnails are retrieved via the `urls` values.  
        If `type` is `link`, the hyperlink is the first URL in the `urls` values.

    * `quantity`

      integer

      Quantity of items in the order.

    * `total_discount`

      string

      The total order discount, calculated as the sum of marketing discounts and custom discounts. The amount is rounded to two decimal places and displayed in the store currency.

    * `total_discount_set`

      object

      The total order discount, calculated as the sum of marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.

      * `presentment_money`

        object

        The discount amount information presented to the buyer. 

      * `shop_money`

        object

        The discount amount information recorded by the merchant.

  * `shipment_status`

    string

    Fulfillment shipping status. Valid values are:
    - `label_printed`: Shipping labels have been printed.
    - `label_purchased`: Shipping labels have been purchased.
    - `attempted_delivery`: Indicates that the courier attempted to deliver the package but was unsuccessful.
    - `ready_for_pickup`: Waiting for the logistics company to pick up the package.
    - `picked_up`: Logistics company has picked up the package.
    - `confirmed`: The order has been confirmed by the logistics company.
    - `in_transit`: Package is in transit.
    - `out_for_delivery`: Package has arrived at the destination area and is being delivered.
    - `delivered`: Package has been delivered.
    - `failure`: For some reason, package delivery failed.

  * `status`

    string

    Fulfillment status. Valid values are:
    - `success`: shipment dispatched
    - `cancelled`: shipment has been canceled
    

  * `tracking_info_list`

    array<object>

    A list of fulfillment information.

    * `tracking_company`

      string

      Logistics service provider.

    * `tracking_number`

      string

      The tracking number provided by the logistics service provider.

    * `tracking_url`

      string

      The domain name of the logistics company.

  * `tracking_numbers`

    array<string>

    A list of tracking numbers provided by the logistics service provider.
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::

  * `tracking_urls`

    array<string>

    A list of domain names of the logistics company.
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::

  * `updated_at`

    string

    The date and time when the fulfillment was updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `created_at`

    string

    The date and time when the fulfillment was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).

  * `id`

    string

    Fulfillment ID.

  * `name`

    string

    Package code. 

  * `order_id`

    string

    Order ID.

  * `tracking_company`

    string

    Logistics company name.
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::

  * `tracking_number`

    string

    Third party tracking number.
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Update tracking information"
  ],
  "description": "Update tracking information for a specific fulfillment. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_assigned_fulfillment_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| ILLEGAL_PARAMS | 422 | illegal param |\n| UNAUTHORIZED_ACCESS | 422 | unauthorized access |\n| MULTI_EXPRESS_INFOS_MAX_SIZE | 422 | A maximum of 10 tracking information can be added. |\n"
  },
  "operationId": "kOVO8B8b",
  "parameters": [
    {
      "name": "fulfillment_id",
      "in": "path",
      "description": "Fulfillment ID.",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_id",
        "description": "Fulfillment ID.",
        "type": "string"
      },
      "examples": {
        "Update tracking information": {
          "value": "21057401932826316666967110"
        }
      }
    },
    {
      "name": "order_id",
      "in": "path",
      "description": "Order ID.",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order ID.",
        "type": "string"
      },
      "examples": {
        "Update tracking information": {
          "value": "21057401932826316666967110"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body position parameter",
          "type": "object",
          "properties": {
            "fulfillment": {
              "name": "fulfillment",
              "description": "Fulfillment information.",
              "type": "object",
              "properties": {
                "notify_customer": {
                  "name": "notify_customer",
                  "description": "Indicates whether to notify the customer when creating or updating a fulfillment:\n- `true`: Notify the customer by email.\n- `false`: Do not notify the customer.\n\nDefault value: `false`",
                  "type": "boolean"
                },
                "tracking_info": {
                  "name": "tracking_info",
                  "description": "Logistics tracking information.\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                  "type": "object",
                  "properties": {
                    "company": {
                      "name": "company",
                      "description": "Logistics service provider.",
                      "type": "string"
                    },
                    "number": {
                      "name": "number",
                      "description": "The tracking number provided by the logistics service provider.",
                      "type": "string",
                      "example": "string"
                    },
                    "url": {
                      "name": "url",
                      "description": "The domain name of the logistics company.",
                      "type": "string"
                    }
                  },
                  "required": [
                    "number"
                  ],
                  "example": {
                    "company": null,
                    "number": "string",
                    "url": null
                  }
                },
                "tracking_info_list": {
                  "name": "tracking_info_list",
                  "description": "A list of logistics tracking information.The API performs an overwrite update. Any parameters not provided will be cleared. \n\nMaximum size: 10",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "tracking_number": {
                        "name": "tracking_number",
                        "description": "The tracking number provided by the logistics service provider.",
                        "type": "string",
                        "example": "string"
                      },
                      "tracking_url": {
                        "name": "tracking_url",
                        "description": "The domain name of the logistics company.",
                        "type": "string"
                      },
                      "tracking_company": {
                        "name": "tracking_company",
                        "description": "Logistics service provider. Refer to [Logistics company list](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/logistics-company-list.md) for valid values. ",
                        "type": "string"
                      }
                    },
                    "required": [
                      "tracking_number"
                    ],
                    "example": {
                      "tracking_company": null,
                      "tracking_number": "string",
                      "tracking_url": null
                    }
                  },
                  "example": [
                    {
                      "tracking_company": null,
                      "tracking_number": "string",
                      "tracking_url": null
                    }
                  ]
                }
              },
              "example": {
                "tracking_info": {
                  "company": null,
                  "number": "string",
                  "url": null
                },
                "tracking_info_list": [
                  {
                    "tracking_company": null,
                    "tracking_number": "string",
                    "tracking_url": null
                  }
                ],
                "notify_customer": null
              }
            }
          },
          "required": [
            "fulfillment"
          ],
          "example": {
            "fulfillment": {
              "notify_customer": null,
              "tracking_info": {
                "url": null,
                "company": null,
                "number": "string"
              },
              "tracking_info_list": [
                {
                  "tracking_company": null,
                  "tracking_number": "string",
                  "tracking_url": null
                }
              ]
            }
          }
        },
        "examples": {
          "Update tracking information": {
            "description": "Update tracking information for a specific fulfillment.",
            "value": {
              "fulfillment": {
                "notify_customer": true,
                "tracking_info_list": {
                  "tracking_company": "my-company",
                  "tracking_number": "UG15439033",
                  "tracking_url": "http://www.my-url.com"
                }
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "fulfillment": {
                "name": "fulfillment",
                "description": "Fulfillment details.",
                "type": "object",
                "properties": {
                  "tracking_url": {
                    "name": "tracking_url",
                    "description": "Logistics tracking URL.\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                    "type": "string"
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "A list of products in the fulfillment.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "price": {
                          "name": "price",
                          "description": "The product price in store currency. The value is rounded to two decimal places. ",
                          "type": "string"
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "Indicates whether the product is subject to shipping.\n- `true`：Shipping is required.\n- `false`：Shipping is not required.",
                          "type": "boolean"
                        },
                        "sku": {
                          "name": "sku",
                          "description": "Product SKU serial number.",
                          "type": "string"
                        },
                        "title": {
                          "name": "title",
                          "description": "Product title.",
                          "type": "string"
                        },
                        "variant_title": {
                          "name": "variant_title",
                          "description": "Product variant value. Multiple values are separated by `/`.",
                          "type": "string"
                        },
                        "vendor": {
                          "name": "vendor",
                          "description": "Supplier.",
                          "type": "string"
                        },
                        "version": {
                          "name": "version",
                          "description": "The version of the product.",
                          "type": "string"
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "The product price, displayed in both the store currency and the buyer currency.",
                          "type": "object",
                          "properties": {
                            "shop_money": {
                              "name": "shop_money",
                              "description": "The discount amount information recorded by the merchant.",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "The product price. The value is rounded to two decimal places. ",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            },
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "The product price information presented to the buyer. ",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "The product price. The value is rounded to two decimal places. ",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": null
                            },
                            "shop_money": {
                              "amount": null,
                              "currency_code": "USD"
                            }
                          }
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "The unique identifier for the variant.",
                          "type": "string"
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "The remaining quantity of the product that can be shipped.",
                          "type": "integer"
                        },
                        "id": {
                          "name": "id",
                          "description": "The ID of the line item snapshot table, generated by the system. Combined with the order ID, it uniquely identifies a line item.",
                          "type": "string"
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "A list of tax information. ",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "name": {
                                "name": "name",
                                "description": "Tax name.",
                                "type": "string"
                              },
                              "price": {
                                "name": "price",
                                "description": "Tax in store currency. The value is rounded to two decimal places. ",
                                "type": "string"
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "The tax amount, displayed in both the buyer currency and the store currency.",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "The tax amount information presented to the buyer. ",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "The tax amount. The value is rounded to two decimal places. ",
                                        "type": "string"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": null,
                                      "currency_code": "USD"
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "The tax amount information recorded by the merchant.",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "The tax amount. The value is rounded to two decimal places. ",
                                        "type": "string"
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                                        "type": "string",
                                        "example": "USD"
                                      }
                                    },
                                    "example": {
                                      "amount": null,
                                      "currency_code": "USD"
                                    }
                                  }
                                },
                                "example": {
                                  "shop_money": {
                                    "amount": null,
                                    "currency_code": "USD"
                                  },
                                  "presentment_money": {
                                    "amount": null,
                                    "currency_code": "USD"
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "The tax rate, for display only. ",
                                "type": "string"
                              },
                              "title": {
                                "name": "title",
                                "description": "The title for the tax description, for display only. ",
                                "type": "string"
                              }
                            },
                            "example": {
                              "price_set": {
                                "presentment_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                }
                              },
                              "rate": null,
                              "title": null,
                              "name": null,
                              "price": null
                            }
                          },
                          "example": [
                            {
                              "title": null,
                              "name": null,
                              "price": null,
                              "price_set": {
                                "presentment_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": null,
                                  "currency_code": "USD"
                                }
                              },
                              "rate": null
                            }
                          ]
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "Whether the product is subject to tax.\n- `true`: Tax is required. \n- `false`: No tax is required.",
                          "type": "boolean"
                        },
                        "fulfillment_status": {
                          "name": "fulfillment_status",
                          "description": "The fulfillment status. Valid values are:\n- `unshipped`: not shipped\n- `partial`: partially shipped\n- `shipped`: shipped",
                          "type": "string"
                        },
                        "grams": {
                          "name": "grams",
                          "description": "The weight of the product in grams(g).",
                          "type": "double"
                        },
                        "name": {
                          "name": "name",
                          "description": "SKU title, same as `title`.",
                          "type": "string"
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "The unique identifier for the product corresponding to the variant.",
                          "type": "string"
                        },
                        "properties": {
                          "name": "properties",
                          "description": "A list of product customization information. ",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "value": {
                                "name": "value",
                                "description": "Custom attribute value.",
                                "type": "string"
                              },
                              "additional": {
                                "name": "additional",
                                "description": "Additional custom fields for products. For example, if `type` is `text`, `additional` can include attributes such as font size, font style, and color. ",
                                "type": "string"
                              },
                              "name": {
                                "name": "name",
                                "description": "Custom attribute name.",
                                "type": "string"
                              },
                              "type": {
                                "name": "type",
                                "description": "Custom information type. Valid values are:\n- `text`: text type\n- `picture`: picture type\n- `link`: hyperlink type",
                                "type": "string"
                              },
                              "urls": {
                                "name": "urls",
                                "description": "URL list.  \nIf `type` is `picture`, thumbnails are retrieved via the `urls` values.  \nIf `type` is `link`, the hyperlink is the first URL in the `urls` values.",
                                "type": "array",
                                "items": {
                                  "type": "string"
                                }
                              }
                            },
                            "example": {
                              "additional": null,
                              "name": null,
                              "type": null,
                              "urls": null,
                              "value": null
                            }
                          },
                          "example": [
                            {
                              "urls": null,
                              "value": null,
                              "additional": null,
                              "name": null,
                              "type": null
                            }
                          ]
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Quantity of items in the order.",
                          "type": "integer"
                        },
                        "total_discount": {
                          "name": "total_discount",
                          "description": "The total order discount, calculated as the sum of marketing discounts and custom discounts. The amount is rounded to two decimal places and displayed in the store currency.",
                          "type": "string"
                        },
                        "total_discount_set": {
                          "name": "total_discount_set",
                          "description": "The total order discount, calculated as the sum of marketing discounts and custom discounts. This field contains amounts displayed in both the buyer and store currencies.",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "The discount amount information presented to the buyer. ",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "The discount amount. The value is rounded to two decimal places. ",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "The discount amount information recorded by the merchant.",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "The discount amount. The value is rounded to two decimal places. ",
                                  "type": "string"
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "A three-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. ",
                                  "type": "string",
                                  "example": "USD"
                                }
                              },
                              "example": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "amount": null,
                              "currency_code": "USD"
                            },
                            "shop_money": {
                              "amount": null,
                              "currency_code": "USD"
                            }
                          }
                        }
                      },
                      "example": {
                        "vendor": null,
                        "version": null,
                        "quantity": null,
                        "title": null,
                        "total_discount": null,
                        "variant_id": null,
                        "sku": null,
                        "fulfillment_status": null,
                        "id": null,
                        "name": null,
                        "price": null,
                        "price_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "currency_code": "USD",
                            "amount": null
                          }
                        },
                        "properties": [
                          {
                            "name": null,
                            "type": null,
                            "urls": null,
                            "value": null,
                            "additional": null
                          }
                        ],
                        "tax_lines": [
                          {
                            "title": null,
                            "name": null,
                            "price": null,
                            "price_set": {
                              "presentment_money": {
                                "currency_code": "USD",
                                "amount": null
                              },
                              "shop_money": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            },
                            "rate": null
                          }
                        ],
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "variant_title": null,
                        "requires_shipping": null,
                        "taxable": null,
                        "fulfillable_quantity": null,
                        "grams": null,
                        "product_id": null
                      }
                    },
                    "example": [
                      {
                        "total_discount": null,
                        "variant_title": null,
                        "id": null,
                        "name": null,
                        "price": null,
                        "product_id": null,
                        "properties": [
                          {
                            "name": null,
                            "type": null,
                            "urls": null,
                            "value": null,
                            "additional": null
                          }
                        ],
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "fulfillment_status": null,
                        "price_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "quantity": null,
                        "requires_shipping": null,
                        "sku": null,
                        "title": null,
                        "vendor": null,
                        "version": null,
                        "taxable": null,
                        "variant_id": null,
                        "fulfillable_quantity": null,
                        "grams": null,
                        "tax_lines": [
                          {
                            "rate": null,
                            "title": null,
                            "name": null,
                            "price": null,
                            "price_set": {
                              "presentment_money": {
                                "amount": null,
                                "currency_code": "USD"
                              },
                              "shop_money": {
                                "amount": null,
                                "currency_code": "USD"
                              }
                            }
                          }
                        ]
                      }
                    ]
                  },
                  "shipment_status": {
                    "name": "shipment_status",
                    "description": "Fulfillment shipping status. Valid values are:\n- `label_printed`: Shipping labels have been printed.\n- `label_purchased`: Shipping labels have been purchased.\n- `attempted_delivery`: Indicates that the courier attempted to deliver the package but was unsuccessful.\n- `ready_for_pickup`: Waiting for the logistics company to pick up the package.\n- `picked_up`: Logistics company has picked up the package.\n- `confirmed`: The order has been confirmed by the logistics company.\n- `in_transit`: Package is in transit.\n- `out_for_delivery`: Package has arrived at the destination area and is being delivered.\n- `delivered`: Package has been delivered.\n- `failure`: For some reason, package delivery failed.",
                    "type": "string"
                  },
                  "status": {
                    "name": "status",
                    "description": "Fulfillment status. Valid values are:\n- `success`: shipment dispatched\n- `cancelled`: shipment has been canceled\n",
                    "type": "string"
                  },
                  "tracking_info_list": {
                    "name": "tracking_info_list",
                    "description": "A list of fulfillment information.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "Logistics service provider.",
                          "type": "string"
                        },
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "The tracking number provided by the logistics service provider.",
                          "type": "string"
                        },
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "The domain name of the logistics company.",
                          "type": "string"
                        }
                      },
                      "example": {
                        "tracking_number": null,
                        "tracking_url": null,
                        "tracking_company": null
                      }
                    },
                    "example": [
                      {
                        "tracking_company": null,
                        "tracking_number": null,
                        "tracking_url": null
                      }
                    ]
                  },
                  "tracking_numbers": {
                    "name": "tracking_numbers",
                    "description": "A list of tracking numbers provided by the logistics service provider.\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "tracking_urls": {
                    "name": "tracking_urls",
                    "description": "A list of domain names of the logistics company.\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "The date and time when the fulfillment was updated. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "The date and time when the fulfillment was created. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html).",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "id": {
                    "name": "id",
                    "description": "Fulfillment ID.",
                    "type": "string"
                  },
                  "name": {
                    "name": "name",
                    "description": "Package code. ",
                    "type": "string"
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order ID.",
                    "type": "string"
                  },
                  "tracking_company": {
                    "name": "tracking_company",
                    "description": "Logistics company name.\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                    "type": "string"
                  },
                  "tracking_number": {
                    "name": "tracking_number",
                    "description": "Third party tracking number.\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                    "type": "string"
                  }
                },
                "example": {
                  "created_at": "2022-10-21T08:56:20-04:00",
                  "line_items": [
                    {
                      "total_discount": null,
                      "variant_id": null,
                      "fulfillable_quantity": null,
                      "id": null,
                      "name": null,
                      "price": null,
                      "properties": [
                        {
                          "urls": null,
                          "value": null,
                          "additional": null,
                          "name": null,
                          "type": null
                        }
                      ],
                      "quantity": null,
                      "requires_shipping": null,
                      "tax_lines": [
                        {
                          "name": null,
                          "price": null,
                          "price_set": {
                            "presentment_money": {
                              "currency_code": "USD",
                              "amount": null
                            },
                            "shop_money": {
                              "currency_code": "USD",
                              "amount": null
                            }
                          },
                          "rate": null,
                          "title": null
                        }
                      ],
                      "fulfillment_status": null,
                      "price_set": {
                        "shop_money": {
                          "amount": null,
                          "currency_code": "USD"
                        },
                        "presentment_money": {
                          "amount": null,
                          "currency_code": "USD"
                        }
                      },
                      "sku": null,
                      "title": null,
                      "vendor": null,
                      "version": null,
                      "grams": null,
                      "product_id": null,
                      "taxable": null,
                      "total_discount_set": {
                        "presentment_money": {
                          "amount": null,
                          "currency_code": "USD"
                        },
                        "shop_money": {
                          "amount": null,
                          "currency_code": "USD"
                        }
                      },
                      "variant_title": null
                    }
                  ],
                  "name": null,
                  "order_id": null,
                  "status": null,
                  "tracking_numbers": null,
                  "tracking_url": null,
                  "tracking_urls": null,
                  "id": null,
                  "shipment_status": null,
                  "tracking_company": null,
                  "tracking_info_list": [
                    {
                      "tracking_company": null,
                      "tracking_number": null,
                      "tracking_url": null
                    }
                  ],
                  "tracking_number": null,
                  "updated_at": "2022-10-21T08:56:20-04:00"
                }
              }
            },
            "example": {
              "fulfillment": {
                "updated_at": "2022-10-21T08:56:20-04:00",
                "id": null,
                "line_items": [
                  {
                    "fulfillable_quantity": null,
                    "name": null,
                    "product_id": null,
                    "properties": [
                      {
                        "value": null,
                        "additional": null,
                        "name": null,
                        "type": null,
                        "urls": null
                      }
                    ],
                    "title": null,
                    "id": null,
                    "quantity": null,
                    "vendor": null,
                    "taxable": null,
                    "fulfillment_status": null,
                    "price": null,
                    "price_set": {
                      "presentment_money": {
                        "amount": null,
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": null,
                        "currency_code": "USD"
                      }
                    },
                    "tax_lines": [
                      {
                        "name": null,
                        "price": null,
                        "price_set": {
                          "presentment_money": {
                            "amount": null,
                            "currency_code": "USD"
                          },
                          "shop_money": {
                            "amount": null,
                            "currency_code": "USD"
                          }
                        },
                        "rate": null,
                        "title": null
                      }
                    ],
                    "total_discount_set": {
                      "presentment_money": {
                        "amount": null,
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": null,
                        "currency_code": "USD"
                      }
                    },
                    "version": null,
                    "grams": null,
                    "requires_shipping": null,
                    "sku": null,
                    "total_discount": null,
                    "variant_id": null,
                    "variant_title": null
                  }
                ],
                "name": null,
                "shipment_status": null,
                "status": null,
                "tracking_numbers": null,
                "tracking_url": null,
                "tracking_urls": null,
                "created_at": "2022-10-21T08:56:20-04:00",
                "order_id": null,
                "tracking_company": null,
                "tracking_info_list": [
                  {
                    "tracking_company": null,
                    "tracking_number": null,
                    "tracking_url": null
                  }
                ],
                "tracking_number": null
              }
            }
          },
          "examples": {
            "Update tracking information": {
              "description": "Update tracking information for a specific fulfillment.",
              "value": {
                "fulfillment": {
                  "tracking_company": "test",
                  "tracking_info_list": [
                    {
                      "tracking_url": "www.example.com",
                      "tracking_company": "ABC",
                      "tracking_number": "****************28407811"
                    }
                  ],
                  "tracking_numbers": [
                    "SF1111111"
                  ],
                  "order_id": "*****************684070293",
                  "shipment_status": "picked_up",
                  "status": "success",
                  "tracking_number": "SF1111111",
                  "tracking_url": "www.example.com",
                  "tracking_urls": [
                    "www.example.com"
                  ],
                  "updated_at": "2024-08-31T02:20:26+08:00",
                  "created_at": "2024-08-31T02:20:26+08:00",
                  "id": "****************364930293",
                  "line_items": [
                    {
                      "total_discount": "10.00",
                      "total_discount_set": {
                        "presentment_money": {
                          "currency_code": "USD",
                          "amount": "3.00"
                        },
                        "shop_money": {
                          "currency_code": "USD",
                          "amount": "3.00"
                        }
                      },
                      "fulfillment_status": "fulfilled",
                      "product_id": "*****************332553651",
                      "properties": {
                        "value": "attribute value",
                        "additional": "black",
                        "name": "Attribute name",
                        "type": "picture",
                        "urls": [
                          "https://www.test.com"
                        ]
                      },
                      "sku": "*****************835053185",
                      "taxLines": [
                        {
                          "price": "1.00",
                          "price_set": {
                            "shop_money": {
                              "amount": "1.00",
                              "currency_code": "USD"
                            },
                            "presentment_money": {
                              "amount": "1.00",
                              "currency_code": "USD"
                            }
                          },
                          "rate": "1.00",
                          "title": "ABC",
                          "name": "tax description"
                        }
                      ],
                      "taxable": true,
                      "variant_id": "*****************269573651",
                      "variant_title": "red",
                      "vendor": "vendor name",
                      "version": "0",
                      "fulfillable_quantity": 3,
                      "grams": 45,
                      "price": "3.00",
                      "title": "product title",
                      "id": "*************49351",
                      "name": "ABC",
                      "price_set": {
                        "shop_money": {
                          "amount": "3.00",
                          "currency_code": "USD"
                        },
                        "presentment_money": {
                          "amount": "3.00",
                          "currency_code": "USD"
                        }
                      },
                      "quantity": 3,
                      "requires_shipping": true
                    }
                  ],
                  "name": "ABC"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/fulfillments/:order_id/:fulfillment_id/update_tracking.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Update tracking information",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_assigned_fulfillment_orders"
  ]
}
```